﻿@using System.Text
@using VietHoang.Demo.Web
@using VietHoang.Demo.Web.Utilities
@model VietHoang.Demo.Domain.Models.Content.IMap

@if (Model == null)
{
    return;
}

@{
    var coordinatesList = new StringBuilder();
    foreach (var location in Model.Locations)
    {
        coordinatesList = coordinatesList.Append(location.LocationCoordinates).Append("|");
    }
}

@BundleHelper.ScriptRender(Constants.Layouts.OfficesMap)

<script Language="javascript">
    var $J = jQuery.noConflict();

    $J(document).ready(function () {
        var coorEl = $J("#hiddenMapInfo");
        var coorsArray = coorEl.val().split("|");
        window.MapMarker("imageFrameBox", coorEl.data('url'), coorsArray);
    });
</script>

<style>
    table tr td {
        padding-left: 5px;
    }

    div.form-element {
        border: 1px;
        border-style: solid;
        border-color: black;
        margin: 2px;
        background-color: white;
    }

        div.form-element input {
            border: 0px;
            width: 100%;
        }

        div.form-element.error {
            border-color: red;
        }

    div.mapCanvas {
        width: 100%;
    }
</style>

@if (Model.MapImage != null)
{
    <input type="hidden" id="hiddenMapInfo" data-url="@Model.MapImage.Src" value="@coordinatesList.ToString()" />
    <canvas id="imageFrameBox">Not support canvas</canvas>
}